Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.hibernate.criterion
Class NativeSQLOrder

    java.lang.Object
      org.hibernate.criterion.Order
          com.gisgraphy.hibernate.criterion.NativeSQLOrder

All Implemented Interfaces:
  java.io.Serializable

    public class NativeSQLOrder

extends org.hibernate.criterion.Order

Author:
  David Masclet An hibernate order for SQL
See Also:
  Serialized Form

Constructor Summary
`NativeSQLOrder(java.lang.String sql)`
`NativeSQLOrder(java.lang.String sql, boolean ascending)`

Method Summary
`java.lang.String` | `toSqlString(org.hibernate.Criteria criteria, org.hibernate.criterion.CriteriaQuery criteriaQuery)`

Methods inherited from class org.hibernate.criterion.Order
`asc, desc, ignoreCase, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NativeSQLOrder

    public NativeSQLOrder(java.lang.String sql,
                          boolean ascending)

Parameters:
  `sql` - the sql code
  `ascending` - wether we want to sort asc or desc

### NativeSQLOrder

    public NativeSQLOrder(java.lang.String sql)

Parameters:
  `sql` - the sql code Default sorting will be ascending

Method Detail

### toSqlString

    public java.lang.String toSqlString(org.hibernate.Criteria criteria,
                                        org.hibernate.criterion.CriteriaQuery criteriaQuery)
                                 throws org.hibernate.HibernateException

  Overrides:
    `toSqlString` in class `org.hibernate.criterion.Order`
  Throws:
    `org.hibernate.HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.